Bug 74567 - Web Inspector: SourceHTMLTokenizer fails on malformed HTML
Summary: Web Inspector: SourceHTMLTokenizer fails on malformed HTML
Status: RESOLVED WONTFIX
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (Deprecated) (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-12-14 17:21 PST by Timothy Hatcher
Modified: 2011-12-18 06:20 PST (History)
10 users (show)

See Also:


Attachments
Example from Daring Fireball (69.13 KB, text/html)
2011-12-14 17:21 PST, Timothy Hatcher
no flags Details
Screen Shot (162.05 KB, image/png)
2011-12-14 17:21 PST, Timothy Hatcher
no flags Details
Example from Mint.com (58.46 KB, text/html)
2011-12-17 13:44 PST, Timothy Hatcher
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Timothy Hatcher 2011-12-14 17:21:20 PST
Created attachment 119342 [details]
Example from Daring Fireball

See attached screenshot and test HTML. The tokenizer only highlights strings after tag remains open. Maybe there is a better fallback that could happen here? WebKit renedered the page fine, so I think it closed the <a>.
Comment 1 Timothy Hatcher 2011-12-14 17:21:49 PST
Created attachment 119343 [details]
Screen Shot
Comment 2 Timothy Hatcher 2011-12-14 17:23:03 PST
The daringfireball.net page does not always have this error, but the attached example was seen once.
Comment 3 Timothy Hatcher 2011-12-17 13:44:37 PST
Created attachment 119734 [details]
Example from Mint.com

Another example I found today at http://mint.com
Comment 4 Pavel Feldman 2011-12-18 06:20:02 PST
I don't think it is worth fixing. Developer will appreciate the hint on the malformed HTML as on the screenshot.